Name:           urg
Version:        0.8.11
Release:        6%{?dist}
Summary:        Library to access Hokuyo URG laser range finders

Group:          System Environment/Libraries
License:        LGPLv3
URL:            http://www.hokuyo-aut.jp/cgi-bin/urg_programs_en/
Source0:        http://www.hokuyo-aut.jp/02sensor/07scanner/download/urg_programs_en/urg-0.8.11.zip
Patch0:         urg-0.8.7-noforwdecl.patch
Patch1:         urg-0.8.11-gcc46.patch
Patch2:         urg-0.8.11-gcc47.patch

BuildRequires:  autoconf automake libtool
BuildRequires:  SDL_net-devel
BuildRequires:  boost-devel >= 1.33.1

%description
This library uses the SCIP2.0 protocol to provide access to devices of
Hokuyo URG laser range finder series.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	boost-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .noforwdecl
%patch1 -p1 -b .gcc46
%patch2 -p1 -b .gcc47

%build
#libtoolize --copy
#aclocal -I m4
#autoconf
#automake
# Required due to Boost 1.33.1 patch
#autoreconf --install --force
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar  4 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.8.11-5
- Fix gcc 4.7 FTBFS

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.11-4
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Feb 11 2011 Tim Niemueller <tim@niemueller.de> - 0.8.11-2
- Added patch for GCC 4.6 compatibility

* Thu Feb 10 2011 Tim Niemueller <tim@niemueller.de> - 0.8.11-1
- Update to 0.8.11
- Remove upstreamed patches

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Thomas Spura <tomspur@fedoraproject.org> - 0.8.7-5
- rebuild for new boost

* Tue Sep 07 2010 Dan Horák <dan[at]danny.cz> - 0.8.7-4
- fix build on 64-bit architectures

* Thu Aug 05 2010 Tim Niemueller <tim@niemueller.de> - 0.8.7-3
- Rebuild for new Boost

* Sun Jan 31 2010 Tim Niemueller <tim@niemueller.de> - 0.8.7-2
- Fixes from review request #560322: source set to direct file URL,
  revised norpath patch to completely remove references to /usr/lib,
  added boost-devel as requirement for devel sub-package

* Sat Jan 30 2010 Tim Niemueller <tim@niemueller.de> - 0.8.7-1
- Update to 0.8.7 which contains another upstreamed patch
  (separate m4 dir for macros, Boost macros separated)
- Exclude ppc64, does not compile atm
- Add patch to remove rpath, submitted upstream awaiting inclusion
- Add patch to require only Boost 1.33.1 (RHEL/CentOS)
- Add patch to require only Autoconf 2.59 (RHEL/CentOS)
- Add patch to remove some forward declarations (RHEL/CentOS)

* Mon Jan 25 2010 Tim Niemueller <tim@niemueller.de> - 0.8.6-1
- Update to 0.8.6 which contains my upstreamed patches
  (fixes for 64bit and GCC 4.4, renaming and placing of libs)

* Fri Nov 27 2009 Tim Niemueller <tim@niemueller.de> - 0.7.3-1
- Initial package

